import { FieldProps } from "formik";
import { Dispatch, ReactNode, SetStateAction } from "react";
export type InputValue = string | number | null;
type InputParams = {
    fieldProps: FieldProps;
    anchor: HTMLInputElement | null;
    setAnchor: Dispatch<SetStateAction<HTMLInputElement | null>>;
};
export declare const InputContext: import("react").Context<InputParams | undefined>;
type ProviderProps = {
    children?: ReactNode;
    fieldProps: FieldProps<InputValue>;
};
declare const InputProvider: ({ children, fieldProps }: ProviderProps) => JSX.Element;
export declare const useInputContext: () => InputParams;
export default InputProvider;
