import { FieldProps } from "formik";
import { ReactNode } from "react";
export type RadioValue = string | number | readonly string[] | undefined;
type RadioParams = {
    fieldProps: FieldProps;
    onChange?: (value?: RadioValue) => void;
};
export declare const RadioContext: import("react").Context<RadioParams | undefined>;
type ProviderProps = {
    children?: ReactNode;
    fieldProps: FieldProps<RadioValue>;
    onChange?: (value?: RadioValue) => void;
};
declare const RadioProvider: ({ children, fieldProps, onChange }: ProviderProps) => JSX.Element;
export declare const useRadioContext: () => RadioParams;
export default RadioProvider;
