import { CSSProperties, InputHTMLAttributes } from "react";
type InputFieldProps = {
    disabledStyle?: CSSProperties;
    errorStyle?: CSSProperties;
    type?: "text" | "number" | "password" | "color";
} & Omit<InputHTMLAttributes<HTMLInputElement>, "type">;
declare const Field: ({ style, disabledStyle, errorStyle, type, ...props }: InputFieldProps) => JSX.Element;
export default Field;
